<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package bizconsulting
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function bizconsulting_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
	}

	return $classes;
}
add_filter( 'body_class', 'bizconsulting_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function bizconsulting_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'bizconsulting_pingback_header' );

/**
 * custom search
 */
if ( !function_exists( 'bpt_search' ) ){
function bpt_search(){
?>
	<form action="<?php echo esc_url(site_url('/')); ?>" method="get">
	    <div class="search-option">
	    	<input type="hidden" name="post_type" value="post">
	        <input name="s" type="search" placeholder="Search...">
	        <button class="button" type="submit"><i class="fa fa-search"></i></button>
	    </div>
	    <a class="main-search" href="#"><i class="fa fa-search"></i></a>
	</form>
<?php
}
add_action( 'bpt_search', 'bpt_search' );
}

/**
 * preloader
 */
if ( !function_exists( 'bpt_preloader' ) ){
function bpt_preloader(){
?>
	<div id="preloader"></div>
<?php
}
add_action( 'bpt_preloader', 'bpt_preloader' );
}
